package bus.service;

import bus.model.dto.WChatUserDto;
import bus.model.dto.page.WChatUserPageDto;
import bus.model.dto.req.WxLoginReq;
import bus.model.po.WChatUserPo;
import com.orcas.common.sso.model.SsoUserAuthDto;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-02-28 16:46:43
 **/
public interface WChatUserService {


    SsoUserAuthDto wxLogin(HttpServletRequest request, HttpServletResponse response, WxLoginReq wxLoginReq);

    /**
     * 详情
     * @param id
     * @return
     */
    WChatUserPo getDetailById(String id);

	/**
     * 保存
     * @param dto
     * @return
     */
    void save(WChatUserDto dto);

    /**
    * 列表
    * @param dto
    * @return
    */
    List<WChatUserDto> list(WChatUserPageDto dto);

	/**
     * 修改
     * @param dto
     * @return
     */
    void update(WChatUserDto dto);

	/**
     * 删除
     * @param id
     * @return
     */
    void delete(String id);

     String getAccessToken(String appId, String secret);
}
